"use client"
import { useTheme } from 'next-themes';
import React from 'react'
import { FaDiscord, FaLinkedin, FaInstagram, FaTwitter, FaFacebookF } from 'react-icons/fa';
import { IoLogoXing } from 'react-icons/io';

const Footer = () => {
  
  const { theme, setTheme } = useTheme()
  return (
    <div className={`${theme === 'light' ? "bg-white" : "bg-black"} pt-24`}>
      <div className={`${theme === 'light' ? "bg-white" : "bg-black"}  w-[90%] md:w-[90%] lg:w-[85%] mx-auto sm:pb-14 pb-2`}>
        <div className='flex flex-col md:flex-row'>
            <div className="flex flex-col my-5 md:my-0  w-1/2">
                <div className={`${theme === 'light' ? "text-black" : "text-white"} text-2xl font-semibold `}>techwelfare</div>
            </div>
            <div className="container mx-auto grid grid-cols-2 md:grid-cols-2 lg:grid-cols-4 gap-8 ">
                {/* Links Section */}
                <div>
                <h3 className=" text-[#7c7e82a7] uppercase text-xs mb-4">About</h3>
                <ul className="space-y-2">
                    <li><a href="#" className="hover:text-white  text-[#7C7E82]">About us</a></li>
                    <li><a href="#" className="hover:text-white text-[#7C7E82]">Our vision</a></li>
                    <li><a href="#" className="hover:text-white text-[#7C7E82]">Careers</a></li>
                    <li><a href="#" className="hover:text-white text-[#7C7E82]">Press</a></li>
                </ul>
                </div>

                <div>
                <h3 className="text-[#7c7e82a7] uppercase text-xs mb-4">Product</h3>
                <ul className="space-y-2">
                    <li><a href="#" className="hover:text-white text-[#7C7E82]">Embedded</a></li>
                    <li><a href="#" className="hover:text-white text-[#7C7E82]">Meetings</a></li>
                    <li><a href="#" className="hover:text-white text-[#7C7E82]">What's New</a></li>
                    <li><a href="#" className="hover:text-white text-[#7C7E82]">Status</a></li>
                    <li><a href="#" className="hover:text-white text-[#7C7E82]">Reference Docs</a></li>
                </ul>
                </div>

                <div>
                <h3 className="text-[#7c7e82a7] uppercase text-xs mb-4">Pricing</h3>
                <ul className="space-y-2">
                    <li><a href="#" className="hover:text-white text-[#7C7E82]">For Messaging</a></li>
                    <li><a href="#" className="hover:text-white text-[#7C7E82]">For Meeting</a></li>
                    <li><a href="#" className="hover:text-white text-[#7C7E82]">Enterprise</a></li>
                </ul>
                </div>

                <div>
                <h3 className="text-[#7c7e82a7] uppercase text-xs mb-4">Support</h3>
                <ul className="space-y-2">
                    <li><a href="#" className="hover:text-white text-[#7C7E82]">Getting started</a></li>
                    <li><a href="#" className="hover:text-white text-[#7C7E82]">Support Center</a></li>
                    <li><a href="#" className="hover:text-white text-[#7C7E82]">Terms of Service</a></li>
                    <li><a href="#" className="hover:text-white text-[#7C7E82]">Security</a></li>
                    <li><a href="#" className="hover:text-white text-[#7C7E82]">Sitemap</a></li>
                </ul>
                </div>

        </div>
        {/* Logo Section */}

      </div>

      {/* Social Media & Copyright Section */}
      <div className="container mx-auto mt-8 border-t border-gray-700 pt-4 flex flex-col md:flex-row justify-between items-center text-sm">
        <p className="mb-4 md:mb-0 text-[#7C7E82]">Copyright © </p>
        <div className="flex space-x-4">
          <a href="#" className="hover:text-white text-[#7C7E82]"><FaDiscord /></a>
          <a href="#" className="hover:text-white text-[#7C7E82]"><FaLinkedin /></a>
          <a href="#" className="hover:text-white text-[#7C7E82]"><FaInstagram /></a>
          <a href="#" className="hover:text-white text-[#7C7E82]"><FaTwitter /></a>
          <a href="#" className="hover:text-white text-[#7C7E82]"><FaFacebookF /></a>
          <a href="#" className="hover:text-white text-[#7C7E82]"><IoLogoXing /></a>
        </div>
      </div>
      
    </div>
    </div>
    
  )
}

export default Footer
