"use client"
import React, { useEffect, useState } from 'react'
import HeadingText from './headingText/HeadingText'
import FirstImage from './firstImage/FirstImage'
import Unleash from './unleash/Unleash'
import Support from './support/Support'
import Block1 from './customer/Block1'
import Cta from './cta/Cta'
import Integration from './integration/Integration'
import { useTheme } from 'next-themes'
import { getDictionary } from '../../../getDictionary'
import Navbar from '@/components/navbar/Navbar'

const HomePage = () => {
  const [language,setLanguage] = useState('en')
  const [data,setData] = useState({})
    

    useEffect(()=>{
        const getdata = async()=>{
            const lang = await getDictionary(language)
            await setData(lang);
        }
        getdata();
    })
    console.log(data,"home")
  
  const { theme, setTheme } = useTheme()
  return (
    <div className={`${theme === 'light' ? "bg-white" : "bg-[#0a0a0a]"}`}>
      <Navbar language={language} setLanguage={setLanguage} />
      <HeadingText language={language} setLanguage={setLanguage} data={data?.headingtext} />
      <FirstImage/>
      <Unleash/>
      <Support/>
      <Block1/>
      <Integration/>
      <Cta/>
    </div>
  )
}

export default HomePage
