"use client"
import React from 'react'
import { motion } from "motion/react"
import { useTheme } from 'next-themes'

const HeadingText = ({data,language}) => {
  // customeGradientDark
    const { theme, setTheme } = useTheme()

  return (
    <div>
      <div className={`${theme === 'light' ? "customeGradientDark" : "customeGradient"} customeGradient text-4xl md:text-5xl lg:text-6xl font-semibold text-center w-[95%] lg:w-[80%] mx-auto pt-20 sm:pt-64`}>
      {data?.largeText}
      </div>
      
      <div className='text-lg md:text-xl lg:text-2xl font-normal text-center w-[95%] lg:w-[70%] mx-auto mt-10 text-[#7C7E82]'>
      {data?.samllText}
      </div>

      <div className=' flex justify-center gap-7 mt-10'>

      <div className={` text-sm font-medium p-2 lg:py-2 px-4 lg:px-6  rounded-full
                ${theme === 'light' ? "text-black border-[#0a0a0a] border" : "text-black bg-white  border"} inline-block cursor-pointer   relative overflow-hidden group  `}>
                <div
                    className={`absolute transition-transform z-0 flex items-center justify-center  duration-1000 group-hover:-translate-y-8 delay-100 transform ${theme === 'light' ? "text-black" : "text-black"}`}>
                    
                    {data?.btn1}
                    </div>
        
                    <div
                    className={`transition-transform  z-10  group-hover:flex  duration-1000 translate-y-8 group-hover:-translate-y-0 group-hover:opacity-100  transform ${theme === 'light' ? "text-black" : "text-black"}`}>
                    {data?.btn1}
                    </div>
            </div>


        <div className='text-white border  text-sm font-medium p-2 lg:py-2 px-4 lg:px-6  rounded-full bg-black inline-block cursor-pointer  relative overflow-hidden group '>
        <div
          className='absolute transition-transform z-10 flex items-center justify-center  duration-1000 group-hover:-translate-y-8 transform  text-white'>
            {data?.btn2}
        </div>
        <div
          className='transition-transform  z-10  group-hover:flex  duration-1000 translate-y-8 group-hover:-translate-y-0 group-hover:opacity-100  transform  text-white'>
            {data?.btn2}
        </div>
        </div>
      </div>

      

    </div>
  )
}

export default HeadingText
