"use client"
import { useTheme } from 'next-themes';
import React, { useState } from 'react'
import { FaArrowRight } from 'react-icons/fa';
import { FiArrowRight } from 'react-icons/fi';

const Integration = () => {
  
  const { theme, setTheme } = useTheme()
    const [para, setPara] = useState({
      heading:"Multi-channel support",
      number:1,
      desc:"This allows companies to reach customers through their preferred method of communication and respond to them quickly and efficiently. The software can also prioritize and manage the volume of inquiries, ensuring that each customer receives a prompt and satisfactory response."
    })
  const data =[
    {
      heading:"Multi-channel support",
      number:1,
      desc:"This allows companies to reach customers through their preferred method of communication and respond to them quickly and efficiently. The software can also prioritize and manage the volume of inquiries, ensuring that each customer receives a prompt and satisfactory response."
    },
    {
      heading:"Automated ticket routing",
      number:2,
      desc:"This feature automatically assigns support tickets to the most appropriate agent based on their skills and availability. This helps ensure that each customer’s inquiry is handled by the right person and reduces wait times."
    },
    {
      heading:"Knowledge base",
      number:3,
      desc:"A built-in knowledge base provides quick answers to frequently asked customer questions, reducing the workload on support teams and improving customer satisfaction."
    },
    {
      heading:"Real-time reporting",
      number:4,
      desc:"Workflows can be customized to match the company’s support policies, ticket prioritization, and escalation procedures, ensuring that each customer’s issue is handled efficiently and effectively."
    },
    {
      heading:"SLA management",
      number:5,
      desc:"Workflows can be customized to match the company’s support policies, ticket prioritization, and escalation procedures, ensuring that each customer’s issue is handled efficiently and effectively."
    },
    {
      heading:"Customer history",
      number:6,
      desc:"Workflows can be customized to match the company’s support policies, ticket prioritization, and escalation procedures, ensuring that each customer’s issue is handled efficiently and effectively."
    }
  ]
  return (
    <div className={`${theme === 'light' ? "bg-white" : "bg-black"}`}>
    <div className={`${theme === 'light' ? "bg-white" : "bg-black"} w-[99%] md:w-[94%] lg:w-[88%] xl:w-[85%] mx-auto`}>
      <section className="  text-gray-300 p-4 md:p-16">
      <div className="container mx-auto flex flex-col lg:flex-row items-center space-y-8 lg:space-y-0 lg:space-x-16">
        
        {/* Left Side: Text and Button */}
        <div className="lg:w-1/2 space-y-6">
          <h1 className={` ${theme === 'light' ? "customeGradientDark" : "customeGradient"} text-3xl md:text-5xl font-semibold text-white`}>
            Easy integration with 120+ tools.
          </h1>
          <p className="text-sm md:text-base  text-[#7C7E82]">
            Connect your favorite apps to Civer software. Chat with customers, enter their information into a CRM, handle orders, and take payments.
          </p>
          <div className={` text-sm font-medium p-2 lg:py-2 px-4 lg:px-6  rounded-full
                ${theme === 'light' ? "text-black border-[#0a0a0a] border" : "text-black bg-white  border"} inline-block cursor-pointer   relative overflow-hidden group  `}>
                <div
                    className={`absolute transition-transform z-0 flex gap-3 items-center justify-center  duration-1000 group-hover:-translate-y-8 delay-100 transform ${theme === 'light' ? "text-black" : "text-black"}`}>
                    <FaArrowRight /> Start Free Trial
                    </div>
        
                    <div
                    className={`transition-transform  z-10  flex gap-3  duration-1000 translate-y-8 group-hover:-translate-y-0 group-hover:opacity-100  transform ${theme === 'light' ? "text-black" : "text-black"}`}>
                     <FaArrowRight /> Start Free Trial
                    </div>
            </div>
        </div>

        {/* Right Side: Illustration Placeholder */}
        <div className="lg:w-1/2 flex justify-center">
          <div className=" bg-[#01020F] rounded-lg flex items-center justify-center">
            {/* Replace with actual illustration */}
            <video src="/phoneVideo.mp4" className='object-cover'
            autoPlay 
            muted 
            loop 
            playsInline ></video>
            
          </div>
        </div>
      </div>

      {/* Features Section */}
      <div className="container mx-auto mt-16  pt-4 grid grid-cols-2 md:grid-cols-3 lg:grid-cols-6 gap-6 ">
        {data && data.length>0 &&  data.map((item, index) => (
          <div key={index} onClick={()=>setPara(item)} className={`
            ${theme === 'light' ? " text-[#7C7E82] border-[#7C7E82]  hover:text-black hover:border-black" : " text-[#7C7E82] border-[#7C7E82] hover:text-white hover:border-white "}
            border-t-2 pt-3 cursor-pointer duration-300
           ${(para.number == index+1 && theme === 'light' )?"text-black border-black ":"border-[#7C7E82] text-[#7C7E82]"}`}>
            <p className="text-sm font-medium ">{`0${index + 1}`}</p>
            <p className="mt-1 ">{item.heading}</p>
          </div>
        ))}
      </div>

      {/* Description for Features */}
      <div className="container mx-auto mt-8 text-center md:text-left">
        <p className=" text-[#7C7E82]">
          {para.desc}
        </p>
      </div>
    </section>
    </div>
    </div>
  )
}

export default Integration
