"use client"
import React from 'react'
import { FaCheckCircle } from "react-icons/fa";
import { FaArrowRight, FaScaleBalanced } from "react-icons/fa6";
import { motion,} from "framer-motion";
  import {useInView} from 'react-intersection-observer'


const ScrollAnimation = ({index,item}) => {
    const rightSlideVariants = {
        visible: {
          x: 0,
          opacity: 1,
          scale:1,
          transition: { type: 'spring', damping: 20 },
        },
        hidden: { x: 100, opacity: 0.3, scale:0.8 },
      }
      
       const leftSlideVariants = {
        visible: {
          x: 0,
          opacity: 1,scale:1,
          transition: { type: 'spring', damping: 20 },
        },
        hidden: { x: -100, opacity: 0.3, scale:0.8 },
      }
    const [ref,inView] = useInView({
        threshold : 0.5,
        triggerOnce : false,
        fallbackInView : true
    })
  return (
    <div>
                            
            <motion.div
                ref={ref}
                    initial='hidden'
                    animate={inView && 'visible'}
                    variants={ (index % 2) == 0 ? leftSlideVariants : rightSlideVariants}
                 className={` scroller h-full flex flex-col  justify-between p-8 sm:p-16 w-[95%] lg:w-[90%] xl:w-[80%] rounded-2xl mx-auto mt-20 ${(index % 2 ==0) ?"lg:flex-row":"lg:flex-row-reverse" } `} style={{backgroundImage:"url('https://lumi.uicore.co/customer-support-software/wp-content/uploads/sites/3/2023/01/customer-support-box-2.webp')",backgroundSize: "cover",backgroundPosition: "center"}}>

                    {/* Left side */}
                    <div className='w-[98%] lg:w-[45%]'>
                        <div className='text-2xl md:text-3xl lg:text-4xl font-medium text-white'>
                        {item.heading}
                        </div>

                        <div className='text-base md:text-base lg:text-base font-normal  text-white opacity-60 py-6'>
                        {item.desc}
                        </div>
                        

                        <div className='flex flex-col gap-2'>
                          {
                            item?.list && item?.list.length>0 && item.list.map((items,index)=>(

                            <div key={index} className='flex items-center gap-4'>
                                <FaCheckCircle color='#F0E2F3'/>
                                <p className='text-white opacity-90'>
                                {items}
                                </p>
                            </div>
                            ))
                          }
                        </div>

                        <div className='text-white text-sm font-medium p-2 lg:py-2 px-4 lg:px-4 my-4 rounded-full bg-transparent cursor-pointer border mt-10  flex w-[160px] justify-center items-center gap-2 relative overflow-hidden group '>
                        <div
                          className='absolute transition-transform z-0 flex  gap-2 items-center justify-center  duration-700 group-hover:-translate-y-8 delay-100 transform  text-white'>
                                      <FaArrowRight /> Start Free Trial
                        </div>
                        <div
                          className='transition-transform  z-10 flex  gap-2 duration-700 translate-y-8 group-hover:-translate-y-0 group-hover:opacity-100  transform  text-white'>
                                        <FaArrowRight /> Start Free Trial
                        </div></div>

                    </div>

                    {/* right side */}
                    <div className='w-[100%] lg:w-[45%] max-lg:mt-8'>
                        <img src={item.rightSideImage} alt="img" className='rounded-xl h-full' />
                    </div>



                    </motion.div>
      
    </div>
  )
}

export default ScrollAnimation
