"use client"
import React from 'react'
import ScrollAnimation from './ScrollAnimation';
import { useTheme } from 'next-themes';


const Support = () => {
  const { theme, setTheme } = useTheme()
    const cards =[
        { 
          heading:"Customer Support Automation",
          desc:"Enhance response accuracy and reduce wait times with AI-driven automation that provides consistent, high-quality support experiences.",
          list:[
            "Generate contextually relevant responses in real-time.",
            "Streamline support workflows to improve customer satisfaction.",
            "Reduce support costs with efficient, AI-powered assistance."
          ],
          buttonText:"Start Free Trial",
          bgColor:"",
          rightSideImage:"https://lumi.uicore.co/customer-support-software/wp-content/uploads/sites/3/2023/01/Customer-support-software-Support-Image-1-.webp"
        },
        { 
          heading:"Data-Driven Decision Making",
          desc:"Make smarter business decisions with insights powered by Al- generated data analysis and retrieval.",
          list:[
            "Access reliable, data-backed insights for strategic decisions.",
            "Analyze market trends, customer behavior, and business metrics.",
            "Gain a competitive edge with timely and relevant information."
          ],
          buttonText:"Start Free Trial",
          bgColor:"",
          rightSideImage:"https://lumi.uicore.co/customer-support-software/wp-content/uploads/sites/3/2023/01/Customer-support-software-Support-Image-2-650x583.webp"
        },
        { 
          heading:"Content Creation and Marketing",
          desc:"Accelerate your content strategy by using Al to create insightful, engaging, and tailored content across platforms.",
          list:[
            "Produce high-quality blog posts, social media content, and emails.",
            "Scale content production while maintaining brand consistency. ",
            "Engage your audience with relevant, timely content."
          ],
          buttonText:"Start Free Trial",
          bgColor:"",
          rightSideImage:"https://lumi.uicore.co/customer-support-software/wp-content/uploads/sites/3/2023/01/Customer-support-software-Support-Image-3-650x450.webp"
        }
    ]


  return (
    <div>
      <div className={`${theme === 'light' ? "customeGradientDark" : "customeGradient"} text-2xl md:text-4xl lg:text-5xl font-semibold text-center w-[95%] sm:w-[74%] md:w-[69%] lg:w-[69%] xl:w-[55%] mx-auto mt-20 sm:mt-[130px]`}>
        Everything you need for providing world-class support. 
      </div>




      <div>
        {/* Each single card */}
        {
            cards && cards.length>0 && cards.map((item,index)=>(
            <ScrollAnimation key={index} index={index} item={item}/>
            ))
        }
        
      </div>
    </div>
  )
}

export default Support
