"use cleint"
import { useTheme } from 'next-themes';
import React from 'react'
import { FaWindows } from "react-icons/fa";

const Unleash = () => {
    
  const { theme, setTheme } = useTheme()
    const cards =[
        {
            icon:<FaWindows size={30} />,
            color:"redShadow",
            heading:"Seamless Customization",
            desc:"Tailor every layer of the platform to suit your unique requirements, making RAGWorks adaptable to any workflow or industry need."
        },{
            icon:<FaWindows size={30} />,
            color:"purpleShadow",
            heading:"Enhanced Content Precision",
            desc:"Utilizing advanced retrieval-augmented generation technology, RAGWorks delivers responses that are both contextually accurate and aligned with user expectations."
        },{
            icon:<FaWindows size={30} />,
            color:"greenShadow",
            heading:"End-to-End Managed Services",
            desc:"Backed by DevopTek AI, RAGWorks offers continuous support, updates, and security, ensuring that your platform operates at peak performance without added complexities."
        },{
            icon:<FaWindows size={30} />,
            color:"blueShadow",
            heading:"Scalable and Secure",
            desc:"Designed to grow alongside your business, RAGWorks maintains robust security and compliance measures, keeping your data protected and your operations compliant."
        },
    ]
  return (
    <div className='mt-[100px] sm:mt-[120px]'>
        <div className={`${theme === 'light' ? "customeGradientDark" : "customeGradient"} text-xl md:text-3xl lg:text-[42px] font-semibold text-center w-[95%] lg:w-[85%] mx-auto mt-24 `} style={{lineHeight:"normal"}}>
        UNLEASING THE POTENTIAL OF ARTIFICIAL INTELLIGENCE

        FOR INTELLIGENT SOLUTIONS
        </div>

        <div className={`${theme === 'light' ? "text-[#0a0a0a]" : "text-white"} text-xl md:text-3xl lg:text-[36px] font-medium text-center w-[95%] lg:w-[90%] mx-auto mt-20`}>
        Delivers Precision, Flexibility, and Security
        </div>
        <div className={`${theme === 'light' ? "text-[#0a0a0a]" : "text-white"} text-xl md:text-3xl lg:text-[36px] font-medium text-center w-[95%] lg:w-[90%] mx-auto `}>   —
        </div>
        
        <div className={`${theme === 'light' ? "text-[#0a0a0a]" : "text-white"} text-xl md:text-3xl lg:text-[36px] font-medium text-center w-[95%] lg:w-[90%] mx-auto `}>
            Empowering Your Business to Thrive with AI
        </div>

        <div className='text-sm md:text-lg lg:text-xl font-normal text-center w-[95%] lg:w-[70%] mx-auto mt-10 text-[#7C7E82]'>
        Get started with 130 features and 200 integrations.
        </div>




        <div className="mt-10 grid grid-cols-1 sm:grid-cols-2 md:grid-cols-2 lg:grid-cols-4 gap-2 sm:gap-4 w-[95%] lg:w-[90%] mx-auto">
            {/* Each card */}
            {cards && cards.length > 0 && cards.map((item, index) => (
                <div key={index} className=" wholediv group p-3 flex flex-col justify-center items-center">
                <div className={`p-4  ${theme === 'light' ? "text-[#0a0a0a] border border-black" : "text-white border-[#11121D] border-2"}  rounded-lg inline-block ${item.color} my-5 duration-300`}>
                    {item.icon}
                </div>
                <div className={`text-lg ${theme === 'light' ? "text-[#0a0a0a]" : "text-white"} flex justify-center`}>
                    {item.heading}
                </div>
                <div className="text-[#7C7E82] py-2 text-center">
                    {item.desc}
                </div>
                <div className={`text-sm ${theme === 'light' ? "text-[#0a0a0a] hover:scale-110 " : "text-[#7C7E82] hover:text-white"}  cursor-pointer py-2 flex justify-center`}>
                    Read more
                </div>
                </div>
            ))}
            </div>

    </div>
  )
}

export default Unleash